from events.types.payload import Payload


class RewardModified(Payload):
    OPERATION_ADD = "ADD"
    OPERATION_EDIT = "EDIT"
    OPERATION_DELETE = "DELETE"
    def __init__(self, reward_id: str, operation: str):
        super().__init__({
            'reward_id': reward_id,
            'operation': operation
        })

    @property
    def reward_id(self) -> str:
        return self.get("reward_id")

    @property
    def operation(self) -> str:
        return self.get("operation")


